Manuel



de



FreeCAD





Splash013.jpg




Ce manuel traite des Outils de création d'objets.


Draft



Cette page est spécialement destinée à l'impression, comme un gros document, donc, si vous lisez ceci en ligne, vous pourrez préférer aller directement à la version Aide en ligne, qui est plus facile à parcourir.

Outils de création d'objets

Draft Line.png Ligne

Emplacement du menu
Draft → Ligne
Ateliers
Draft, Arch
Raccourci par défaut
L I
Voir aussi
Filaire


Description

Cet outil demande à l'utilisateur de spécifier deux points et trace une ligne entre ceux-ci dans le plan de travail courant. Il prend la largeur et la couleur préalablement définies sur l'onglet Tâches. L'outil ligne se comporte exactement comme l'outil Filaire, à la différence qu'il s'arrête à la saisie de deux points.

Draft Line example.jpg

Utilisation

  1. Cliquez sur le bouton Draft Line.png Ligne ou pressez sur les touches L puis I
  2. Cliquez le premier point dans la vue 3D, ou entrez les coordonnées
  3. Cliquez le deuxième point dans la vue 3D, ou entrez les coordonnées

Options

  • Appuyez sur X, Y ou Z après le premier point pour contraindre le second point le long d'un axe.
  • Pour saisir les coordonnées manuellement, entrez le nombre et appuyez simplement sur ​​ENTRÉE entre chaque saisie de X, Y et Z.
  • Appuyez sur R ou cliquez sur la case Relatif pour cocher/décocher ce mode. Si le mode relatif est activé, les coordonnées du second point seront relatives à la première. Sinon, elles seront absolues, prises à partir du point d'origine (0,0,0).
  • Appuyez sur T ou cliquez sur la case Continuer pour cocher/décocher ce mode. Si le mode Continuer est activé, l'outil ligne va redémarrer après que vous ayez donné le second point, vous permettant de dessiner un autre segment de ligne sans appuyer de nouveau sur le bouton ligne.
  • Appuyez sur CTRL pendant que l'outil est actif pour forcer l'accrochage du point sur l'emplacement d'accrochage le plus près, indépendamment de sa distance.
  • Appuyez sur MAJ pendant que l'outil est actif pour contraindre le second point horizontalement ou verticalement en relation au point précédent.
  • Appuyez sur CTRL + Z ou sur le bouton Draft UndoLine.png Annuler pour annuler le point précédent.
  • Appuyez sur ESC pour annuler l'opération.
  • La ligne nouvellement créée, adopte le style de ligne actif.

Propriétés

  • DATAStart: Le point de départ
  • DATAEnd: Le point final
  • DATASubdivisions: Divise la ligne en x lignes, donnez le nombre de coupures available in version 0.16


Script

L'outil ligne peut être utilisé par la macros de la console Python en utilisant la fonction suivante :

makeLine (Vector, Vector) 
  • Crée une ligne entre les deux vecteurs donnés. La ligne créée aura la largeur et la couleur courante.
  • Renvoie l'objet nouvellement créé.

Exemple:

import FreeCAD, Draft
Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0)) 

Draft Wire.png Filaire

Emplacement du menu
Draft → Filaire
Ateliers
Planche à dessin, Complet
Raccourci par défaut
W I
Voir aussi
Ligne, Draft BSpline


Description

L'outil fil (Wire) crée polyligne (séquence de lignes de plusieurs segments) dans le plan de travail actuel. Il prend les attributs de largeur et couleur, précédemment défini dans la barre d'outils style. L'outil fil (Wire) se comporte comme l'outil ligne de projet, sauf qu'il ne s'arrête pas après deux points.

Draft Polyline example.jpg

Utilisation

  1. Pressez sur le bouton Draft Wire.png Draft Wire, ou pressez la touche W puis sur I.
  2. Cliquez le premier point dans la vue 3D, ou entrez les coordonnées.
  3. Cliquez un point additionnel dans la vue 3D, ou, tapez les coordonnées.
  4. Pressez la touche F ou C, ou, double-cliquez le point suivant, ou cliquez sur le premier point pour finir ou fermez le fil. Si le fil est fermé, il sera aussi une face même s'il apparaît comme un filaire.

Options

  • Press F or the Draft FinishLine.png Finish button to finish the wire, leaving it open
  • Press C or the Draft CloseLine.png Close button or click on the first point to finish the wire, but making it closed by adding a last segment between the last point and the first one.
  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Wire tool will restart after you finish or close it, allowing you to draw another one without pressing the Wire button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press W or press the Draft Wipe.png Wipe button to remove the existing segments and start the wire from the last point.
  • Press CTRL+Z or press the Draft UndoLine.png Undo button to undo the last point.
  • Press I or the Filled button to have the wire filled with a face if it is closed.
  • Press ESC or the Cancel button to abort the current Line command.
  • Closed wires, when in "Flat Lines" display mode, can display a hatch pattern, by setting their "Pattern" property below.

Propriétés

  • DATAClosed: Détermine si le Wire est ouvert ou fermé.
  • DATAChamfer Size: Spécifie la dimension du chanfrein des coins.
  • DATAFillet Radius: Spécifie le rayon de courbure des nœuds du wire
  • DATASubdivisions: Divise les segments du fil avec le nombre de subdivisions donné Disponible dans la version 0.16


  • VIEWEnd Arrow: Montre le symbole d'une flèche au dernier point du fil, donc, il peut être utilisé comme une flèche d'annotation.
  • VIEWPattern: Spécifie le type de hachure a utiliser (Wire Fermé).
  • VIEWPattern Size: Specifie la dimension de la hachure.

Voir aussi la page Draft Pattern

Script

L'outil fil peut être utilisé dans des macros, et, dans la console Python en utilisant le code suivant :

makeWire (list or Part.Wire, [closed], [placement], [facemode]) 
  • Crée un objet fil (Wire) avec les données de vecteurs ou du fil donné.
    • Si le fil est fermé ou si le premier et le dernier point est identique, le fil est fermé.
    • Si facemode est activé (TRUE) (le fil est fermé), le fil apparait plein.
  • Les attributs de largeur et couleur définis seront utilisés.
  • Retourne l'objet nouvellement créé.

Exemple:

import FreeCAD,Draft
p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(1,1,0)
p3 = FreeCAD.Vector(2,0,0)
Draft.makeWire([p1,p2,p3],closed=True) 

Draft Circle.png Cercle

Emplacement du menu
Draft → Cercle
Ateliers
Planche à dessin (2d Draft)
Raccourci par défaut
C I
Voir aussi
Arc


L'outil Cercle crée un cercle dans le plan de travail courant en entrant deux points, le centre et le rayon, ou en sélectionnant une tangente, ou toute combinaison de ceux-ci. Il prend la type de ligne et couleur précédemment définis dans l'onglet tâches. Cet outil fonctionne de la même manière que l'outil Arc, sauf qu'il s'arrête après avoir entré le rayon.

Draft Circle example.jpg

Utilisation

  1. Pressez la touche Draft Circle.png Draft Circle, ou pressez les touches C et I
  2. Cliquez un premier point dans la vue 3D, ou entez les coordonnées
  3. Cliquez un second point dans la vue 3D, or entez la valeur du rayon.

Options

  • L'utilisation de l'outil cercle se fait par la sélection de deux points, le centre et un point situé sur la circonférence, définissant ainsi le rayon.
  • Appuyez sur la touche ALT permet de sélectionner une tangente au lieu d'un point. Il est donc possible de tracer différents types de cercles en sélectionnant, une, deux ou trois tangentes.
  • Entrez simplement le nombre des coordonnées X,Y et Z en pressant la touche ENTER entre chaque entrée. Si la case à cocher Continuer est cochée, l'outil cercle redémarre après avoir cliqué le deuxième point, et continue un autre cercle sans devoir cliquer sur le bouton Cercle.
  • Appuyez sur la touche CTRL force l'accrochage du point sur un emplacement d'accrochage disponible, indépendamment de la distance.
  • Appuyer sur la touche SHIFT, contraint le second point horizontalement ou verticalement par rapport au premier point.
  • Appuyer sur la touche I ou Rempli pour voir le cercle apparaître comme une face après qu'il ai été fermé. Ceci définit simplement le Vue -> Propriété du cercle entre "Flat lines" ou "Wireframe", de sorte qu'il peut facilement être changé plus tard.
  • Appuyer sur la touche ESC ou le bouton Annuler pour annuler la commande courante.
  • Le cercle peut être transformé en un arc après sa création, en définissant son premier angle et son dernier à des valeurs différentes des angles dans les propriétés.
  • Cercles, en mode d'affichage "Flat Lines", peut afficher un motif de hachures, en le définissant dans Vue -> Propriétés -> Pattern.

Properties

  • DATARadius: The radius of the circle
  • DATAMake Face: Fills the circle with a face
  • VIEWPattern: Specifies a hatch pattern to fill the wire with
  • VIEWPattern Size: Specifies the size of the hatch pattern

Voir aussi la page Draft Pattern

Script

L'outil cercle peut être utilisé dans les macros, et, dans la console Python, en utilisant la fonction suivante :

makeCircle (radius, [placement], [facemode], [startangle], [endangle]) 
  • Crée un objet cercle avec un rayon donné.
  • Si une position est donnée, elle est utilisée.
  • Si facemode a la valeur False, le cercle est montré comme une forme filaire, sinon ,comme une face.
  • Si startangle et endangle sont donnés (en degrés), ils sont utilisés, et, l'objet apparaît comme un arc.
  • Retourne l'objet nouvellement créé.

Exemple:

import Draft
myCircle = Draft.makeCircle(2) 

Draft Arc.png Arc

Emplacement du menu
Draft → Arc
Ateliers
Planche à dessin
Raccourci par défaut
A R
Voir aussi
Cercle


Description

Cet outil trace un arc de cercle dans le plan de travail courant à l'aide de quatre points : le centre, le rayon, l'angle de départ et l'angle d'arrivée. Ou en choisissant des tangentes, ou toute combinaison de celle-ci. Il prend le style épaisseur de ligne et couleur précédemment définis dans l'onglet Tâches. Cet outil fonctionne de la même manière que l'outil Cercle, mais ajoute un début et une fin d'angles.

Draft Arc example.jpg

Utilisation

  1. Cliquez sur le bouton Draft Arc.png Arc, pressez les touches A et R.
  2. Cliquez un point dans une zone vide de la vue modèle 3D, ou sur un objet existant ou tapez les coordonnées manuellement.
  3. Cliquez le second point dans la vue 3D, ou entrez la valeur du rayon.
  4. Cliquez le troisième point dans la vue 3D, ou entrez le début de l'angle.
  5. Cliquez le quatrième point dans la vue 3D, ou entrez la fin de l'angle.

Options

  • La principale utilisation de l'outil arc se fait en créant quatre points: le centre, un point sur la circonférence, définissant le rayon, un troisième point définissant le début de l'arc, et un quatrième une définition de sa fin.
  • En appuyant sur la touche ALT, vous pouvez sélectionner une tangente à la place du point, pour définir le cercle de base de l'arc. Vous pouvez donc construire plusieurs types de cercles en sélectionnant une, deux ou trois tangentes.
  • La direction de l'arc dépend du mouvement que vous faites avec votre souris. Si vous déplacez votre souris vers la droite après le troisième point est cliqué, votre arc se fera dans le sens horaire. Pour aller dans le sens antihoraire, il suffit de déplacer votre souris en arrière sur le troisième point, jusqu'à ce que l'arc commence à se dessiner dans l'autre sens.
  • Pour entrer des coordonnées manuellement, il suffit d'entrer les nombres, puis appuyez sur la touche ENTRER entre chaque composant X, Y et Z.
  • Appuyer sur la touche T ou cliquez sur la case à cocher/décocher Continuer. Si le mode continue est activé, l'outil Arc va redémarrer après avoir entré le quatrième point, permettant de dessiner un autre arc sans appuyer de nouveau sur le bouton Arc.
  • Appuyer sur la touche CTRL tout en tirant force l'accrochage de votre point sur l'emplacement d'accochage le plus proche, indépendamment de la distance.
  • Appuyer sur la touche MAJ tout en tirant contraint votre point horizontalement ou verticalement par rapport au centre.
  • Appuyer sur la touche ESC ou Annuler pour annuler la commande courante.
  • L'arc peut être transformé en un cercle après la création, en définissant une même valeur à son premier et dernier angle dans propriétés des angles.

Propriétés

  • DATARadius : Le rayon de l'arc.
  • DATAFirst Angle : Début de l'angle de l'arc.
  • DATALast Angle: Fin de l'angle de l'arc.

Script

L'outil cercle peut également être utilisé, pour créer des arcs dans les macros, et, dans la console Python, en utilisant la fonction suivante, en lui donnant des arguments supplémentaires :

makeCircle (radius, [placement], [facemode], [startangle], [endangle]) 
  • Crée un objet cercle après avoir donné le rayon.
  • Si une position est donnée, elle est utilisée. Si facemode a la valeur False, le cercle est montré comme un filaire, sinon comme une face.
  • Si startangle et endangle sont donnés (en degrés), ils sont utilisés, et, l'objet apparaît comme un arc.
  • Retourne l'objet nouvellement créé.

Exemple:

import Draft
myArc = Draft.makeCircle(2,startangle=0,endangle=90) 

Draft Rectangle.png Rectangle

Emplacement du menu
Draft → Rectangle
Ateliers
Planche à dessin
Raccourci par défaut
R E
Voir aussi
Cube


Description

Cet outil trace un Rectangle par la sélection de deux points opposés. La ligne nouvellement créée adopte le style de ligne actif.

Draft Rectangle example.jpg

Utilisation

  1. Pressez le bouton Draft Rectangle.png rectangle ou pressez les touches R then E.
  2. Cliquez le premier point du coin dans la vue 3D, ou tapez les coordonnées.
  3. Cliquez le deuxième point du coin opposé du Rectangle dans la vue 3D, ou tapez les coordonnées. Le rectangle, sera également une face, même s'il apparaît comme filaire.

Options

  • Pressez les touches X, Y ou Z après le point, contraint le point suivant dans la direction de l'axe donné.
  • Vous pouvez simplement entrer les coordonnées manuellement, en entrant les nombres, puis tapez ENTRÉE à chaque composants X, Y et Z.
  • Pressez la touche R, ou activez/désactivez la case à cocher Relatif. Si relatif est activé, les coordonnées du point suivant, sont relatives au premier point. Si elle n'est pas cochée, les coordonnées sont absolues, et, commencent à partir du point d'origine (0,0,0).
  • Pressez la touche T, ou activez/désactivez la case à cocher Continue. Si la case à cocher Continue est activée, et, que vous avez terminé, ou fermé votre rectangle, la fonction redémarre automatiquement, vous permettant, de dessiner un autre rectangle sans devoir appuyer sur le bouton.
  • Pressez sur la touche CTRL pendant le dessin, force l'accrochage, de votre point à l'emplacement le plus proche du composant logiciel enfichable, indépendamment de la distance.
  • Après avoir cliqué votre premier point, donnez une direction horizontale ou verticale à votre ligne, puis, pressez sur la touche SHIFT, et votre ligne sera contrainte horizontalement ou verticalement par rapport au premier point.
  • Pressez sur la touche I, ou le bouton Filled, transforme le rectangle en une face dès qu'il est fermé. Cette valeur définit simplement la propriété du fil de Flat lines ou Wireframe, il peut donc être facilement modifié plus tard dans Vue -> Propriété du rectangle.
  • Pressez sur la touche ESC, ou le bouton Cancel pour quitter la commande.
  • Le rectangle nouvellement créé adopte le style de ligne actif.

Properties

  • DATALength: Specifies the length of the rectangle
  • DATAWidth: Specifies the width of the rectangle
  • DATAChamfer Size: Specifies the size of chamfered corners
  • DATAFillet Radius: Specifies a curvature radius to give to the corners of the rectangle
  • DATARows: Allows to give horizontal subdivisions to this rectangle
  • DATAColumns: Allows to give vertical subdivisions to this rectangle
  • DATAMake Face: Fills the rectangle with a face
  • VIEWTexture Image: Allows to give the path to an image file to be mapped on the rectangle. It is up to you to give the rectangle the same proportion as the image if you want to avoid distortions. Blanking this property will remove the image.
  • VIEWPattern: Specifies a hatch pattern to fill the wire with.
  • VIEWPattern Size: Specifies the size of the hatch pattern

See also Draft Pattern page.

Script

L'outil Rectangle, peut être utilisé dans les macros et dans la console Python, en utilisant la fonction suivante :

makeRectangle (length, width, [placement], [facemode]) 
  • Crée un objet Rectangle, avec, une longueur de direction X, et, une hauteur de direction Y.
  • Si une position est donnée, elle est utilisée.
  • Si facemode a la valeur False, le rectangle est représenté par un filaire, sinon comme une face.
  • La largeur et la couleur de ligne spécifiées seront utilisées.
  • Retourne l'objet nouvellement créé.

Exemple:

import FreeCAD,Draft
Draft.makeRectangle(10,4) 

Draft Polygon.png Polygone

Emplacement du menu
Draft → Polygone
Ateliers
Planche à dessin
Raccourci par défaut
P G
Voir aussi
Aucun


Description

Cet outil demande la sélection d'un centre et un rayon. Vous pouvez ensuite spécifier le nombre de côtés, puis un polygone régulier sera créé à l'intérieur d'un cercle au rayon spécifié.
Le polygone nouvellement créé, adoptera le style de couleur, et, d'épaisseur de trait actif.

Draft polygon example.jpg

Utilisation

  1. Pressez le bouton Draft Polygon.png Polygone ou pressez les touches P puis G.
  2. Cliquez un premier point, dans la vue 3D, ou tapez manuellement les coordonnées coordonnées pour situer le centre,
  3. Spécifiez le nombre de côtés dans la boîte de dialogue,
  4. Cliquez un autre point dans la vue 3D, ou tapez la valeur du rayon pour définir le rayon du polygone. Le polygone sera aussi une face, même, s'il apparaît comme un filaire.

Options

  • Vous pouvez simplement entrer les coordonnées manuellement, en entrant les nombres, puis tapez ENTRÉE à chaque composants X, Y et Z.
  • Pressez la touche T, ou cliquez sur la case à cocher activer/désactiver Continuer. Dès que le Polygone est terminé, ou fermé et que la case à cocher Continuer est activée, la fonction Polygone redémarre automatiquement.
  • Sélectionnez un point dans une zone dégagée de l'espace modèle 3D, ou sur un objet existant.
  • Appuyez sur la touche CTRL, accroche un point sur un emplacement d'accrochage disponible.
  • Après avoir cliqué votre point, pressez sur la touche SHIFT et donnez une direction horizontale, ou verticale à votre ligne, et votre ligne sera contrainte horizontalement ou verticalement.
  • Pressez I ou activez la case à cocher Rempli, pour que le Polygone soit représenté comme une face, après sa fermeture.

Cette valeur peut aussi être simplement modifiée dans la Vue combinée → Propriété → Onglet Vue → Display Mode en, Flat line, WireFrame ou en Points. La valeur peut facilement être modifié à tout moment.

  • Appuyez sur ESC pour annuler l'opération.
  • La ligne nouvellement créée adopte le style de ligne actif.

Properties

  • DATARadius: The radius of the defining circle
  • DATADraw Mode: Specifies if the polygon is inscribed or circumscribed around the defining circle
  • DATAFaces Number: The number of sides of the polygon
  • DATAChamfer Size: Specifies the size of chamfered corners
  • DATAFillet Radius: Specifies a curvature radius to give to the corners of the rectangle
  • DATAMake Face: Fills the polygon with a face
  • VIEWPattern: Specifies a hatch pattern to fill the wire with
  • VIEWPattern Size: Specifies the size of the hatch pattern

See also Draft Pattern page.

Script

L'outil Polygone, peut être utilisé dans les macros et dans la console Python, en utilisant la fonction suivante :

makePolygon(nfaces,[radius],[inscribed],[placement],[face]) 
  • Crée un objet polygone, avec la donnée de rayon, et, le nombre de faces.
  • Si la valeur inscribed est sur False, le polygone est circonscrit autour du cercle avec le rayon donné, si la valeur est sur True, le polygone est inscrit.
  • Si face est True, la forme qui en résulte est affichée comme une face, autrement, comme un filaire.
  • Retourne l'objet nouvellement créé.

Exemple:

import Draft
Draft.makePolygon(5,radius=3) 

Draft BSpline.png BSpline

Emplacement du menu
Draft → BSpline
Ateliers
Planche à dessin (Draft), Arch
Raccourci par défaut
B S
Voir aussi
Filaire


Description

L'outil BSpline crée une courbe avec plusieurs points dans le plan de travail courant.Le fil nouvellement créé possédera la couleur et la largeur de trait actives. L'outil BSpline se comporte exactement comme l'outil Draft Wire.

Draft bspline example.jpg

Utilisation

  1. Pressez le bouton Draft BSpline.png B-Spline, ou pressez les touches B puis S.
  2. Cliquez le premier point dans la vue 3D, ou tapez les coordonées.
  3. Cliquez un point additionnel dans la vue 3D, ou tapez les coordonées
  4. Pressez les touches F ou C, ou double-cliquez le point suivant, ou cliquez sur le premier point pour finir ou fermer la B-Spline. Si la B-Spline est fermée, elle peut aussi être une face, même si elle paraît comme une wireframe (fil).

Options

  • Press F or the Draft FinishLine.png Finish button to finish the spline, leaving it open
  • Press C or the Draft CloseLine.png Close button or click on the first point to finish the spline, but making it closed by adding a last segment between the last point and the first one.
  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the BSpline tool will restart after you finish or close it, allowing you to draw another one without pressing the BSpline button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press W or press the Draft Wipe.png Wipe button to remove the existing segments and start the spline from the last point.
  • Press CTRL+Z or press the Draft UndoLine.png Undo button to undo the last point.
  • Press I or the Filled button to have the spline filled with a face after it has been closed.
  • Press ESC or the Cancel button to abort the current BSpline command.
  • BSplines, when in "Flat Lines" display mode, can display a hatch pattern, by setting their "Pattern" property below.

Properties

  • DATAClosed: Specifies if the spline is closed or not
  • DATAMake Face: Fills the spline with a face
  • VIEWEnd Arrow: Shows an arrow symbol at the last point of the spline, so it can be used as an annotation leader line
  • VIEWPattern: Specifies a hatch pattern to fill the wire with
  • VIEWPattern Size: Specifies the size of the hatch pattern

Script

L'outil B-Spline peut être utilisé dans des macros, et, dans la console Python, en utilisant cette fonction:

makeBSpline (pointslist,[closed],[placement]) 
  • Crée un objet B-Spline à partir de la liste des vecteurs donnés.
  • Si closed, a la valeur True, ou que le premier point et le dernier point sont identiques, le wire (fil) est fermé.
  • Si la face est True(et que la bspline est fermée), la bspline apparaîtra pleine.
  • Au lieu d'une liste de points, vous pouvez également passer un Part Wire.
  • Retourne l'objet nouvellement créé.

Exemple:

import FreeCAD,Draft
p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(1,1,0)
p3 = FreeCAD.Vector(2,0,0)
Draft.makeBSpline([p1,p2,p3],closed=True) 

Draft Text.png Texte

Emplacement du menu
Draft → Texte
Ateliers
Planche à dessin
Raccourci par défaut
T E
Voir aussi
Aucun


Description

L'outil texte, requiert un point d'emplacement, puis, du texte peut être saisi dans une boîte de dialogue texte.

Le texte prend les attributs du Style défini.

Draft Text example.jpg

Utilisation

  1. Pressez la touche texte, ou pressez les touches T, puis E
  2. Cliquez un point dans la vue 3D, ou tapez les coordonnées
  3. Entrez le texte désiré, et tapez sur ENTRÉE entre chaque ligne,
  4. Pressez deux fois sur ENTRÉE, (ce qui laisse la dernière ligne vide), ajoute le texte au document, et, ferme l'éditeur.

Options

  • Pressez sur la touche CTRL pendant le dessin, force l'accrochage, de votre point à l'emplacement le plus proche, du composant logiciel enfichable, indépendamment de la distance.
  • Vous pouvez simplement entrer les coordonnées manuellement, en entrant les nombres, puis tapez ENTRÉE à chaque composants X, Y et Z.
  • Appuyez sur ESC pour annuler l'opération.
  • Lorsque vous modifiez le texte, appuyez sur ENTRÉE, ou FLÈCHE BAS, vous permet d'entrer, ou de modifier la ligne de texte suivante.
  • pressez sur la touche FLÈCHE HAUT, permet d'éditer la ligne précédente du texte.
  • Pressez deux fois sur ENTRÉE, (ce qui laisse la dernière ligne vide), ajoute le texte au document, et, ferme l'éditeur.

Propriétés

  • DATAPosition: Point de base du bloc de texte
  • DATALabel Text: Le contenu du bloc de texte
  • VIEWDisplay Mode: Spécifie si le texte est aligné à la scène ou toujours face à la caméra
  • VIEWFont Size: La dimension des lettres
  • VIEWJustification: Spécifie l'alignement du texte à gauche à droite ou an centre du point de base
  • VIEWLine Spacing: Spécifie l'espace entre les lignes du texte
  • VIEWRotation: Spécifie la rotation a appliquer au texte
  • VIEWRotation Axis: Spécifie l'axe de rotation a utiliser
  • VIEWFont Name : La police de caractères à utiliser. Peut être un nom de police, comme "Arial", style par défaut, "sans", "serif" ou "mono", ou une série comme "Arial,Helvetica,sans", ou un nom avec un style comme "Arial:Bold". Si la police donnée, ne se trouve pas sur le système, une police générique est utilisée à la place.

Script

L'outil texte peut être utilisé dans les macros, et dans la console Python, en utilisant la fonction suivante :

makeText (string or list, [Vector], [screenmode]) 
  • Crée un objet texte, au point donné, si un vecteur est fourni, contient une chaîne, ou une liste de chaînes.
  • La couleur actuelle, la hauteur du texte, et, la police de caractères spécifiées, dans les préférences du projet sont utilisés.
  • Si screenmode est True, la direction du texte fait toujours face à la vue, sinon, il se situe sur le plan X,Y.
  • Retourne l'objet nouvellement créé.

Exemple:

import FreeCAD,Draft
Draft.makeText("This is a sample text",FreeCAD.Vector(1,1,0)) 

Draft Dimension.png Cotation

Emplacement du menu
Draft → Dimension
Ateliers
Draft, Arch
Raccourci par défaut
D I
Voir aussi
FlipDimension


Description

L'outil Cotation demande à l'utilisateur deux points définissants le segment qui doit être côté puis, un troisième point afin de localiser la ligne de dimension.

Screenshot Draft Dimension.jpg

Utilisation

  • Cliquez sur l'outil Draft Dimension.png cotation ou pressez les touches D et I
  • Cliquez un premier point sur une zone vide de la vue 3D, ou tapez une coordonnée
  • Cliquez un point sur une zone vide de la vue 3D, ou tapez une coordonnée
  • Cliquez un troisième point sur une zone vide de la vue 3D, ou tapez une coordonnée

Types de cotations disponibles

  • Cotation linéaire : cliquez deux points ou sur une ligne en pressant la touche ALT pour forcer une contrainte
  • Cotation horizontale/verticale : pressez la touche SHIFT après avoir sélectionné le premier point.
  • Cotation d'un diamètre : pressez sur la touche ALT, puis sélectionnez une ligne courbe.
  • Cotation d'un rayon : pressez sur la touche ALT, sélectionnez une ligne courbe, puis relâchez la touche ALT et appuyez sur la touche SHIFT.
  • Cotation angulaire  : en choisissant 2 lignes (arêtes) droites avec la touche ALT pressée.

Options

  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Pressing SHIFT will constrain the dimension horizontally or vertically, or, when working on a circular edge, switches between diameter and radius modes.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, you will be able to draw continued dimensions, one after the other, that share the same baseline.
  • Press ESC or the Cancel button to abort the current Line command.
  • By picking an existing edge with ALT, instead of entering measurement points, the dimension will become parametric and remember which edge it is bound to. If the endpoints of that edge move later on, the dimension will follow them.
  • If an edge is selected before starting the Dimension command, the created dimension will also be parametric.
  • The direction of the dimension can be changed afterwards, by modifying its "Direction" property

Properties

  • DATAStart: The start point of the distance to measure
  • DATAEnd: The end point of the distance to measure
  • DATADimline: A point through which the dimension line must pass
  • VIEWDisplay Mode: Specifies if the text is aligned to the dimension lines or always faces the camera
  • VIEWFont Size: The size of the letters
  • VIEWExt Lines: The size of the extension lines (between the measurement points and the dimension line)
  • VIEWText Position: Can be used to force the text to be displayed at a certain position
  • VIEWText Spacing: Specifies the space between the text and the dimension line
  • VIEWOverride: Specifies a text to display instead of the measurement. Insert "$dim", inside that text, to display the measurement value
  • VIEWFont Name: The font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", or a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.
  • VIEWArrow Type: The type of arrow to use
  • VIEWArrow Size: The size of the arrows
  • VIEWDecimals: The number of decimal places to display on the dimension
  • VIEWFlip Arrows: Reverse the orientation of arrows
  • VIEWUnit Override: Expresses the distance in the given unit (leave blank to use the system unit) available in version 0.17


Script

L'outil Cotation peut être utilisé dans une macro, et, dans la console Python en utilisant les fonctions suivantes :

makeDimension (p1,p2,[p3]) 

or

makeDimension (object,i1,i2,p3) 

or

makeDimension (objlist,indices,p3) 
  • Crée un objet Dimension, avec la cotation de la ligne passant par le biais de p3.
  • L'ensemble des paramètres de largeur, couleur et hauteur du texte actuel seront utilisés.
  • Il y a plusieurs façons de créer une cotation, selon les arguments que vous lui transférez:
  1. (p1, p2, p3): crée une cotation standard de p1 à p2.
  2. (objet, i1, i2, p3): crée une cotation liée à un objet donné, en mesurant la distance entre ses sommets indexés i1 et i2.
  3. (objet, i1, mode, p3): crée une cotation liée à un objet donné, i1 est l'index du bord (courbé), à mesurer et mode, est un rayon ou un diamètre. Retourne un nouvel objet créé.
makeAngularDimension (center,[angle1,angle2],p3) 
  • Crée une cotation angulaire à partir du centre donné , et une liste de données angulaires passant par p3.
  • Retourne l'objet nouvellement créé.

Exemple:

import FreeCAD,Draft
p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(1,1,0)
p3 = FreeCAD.Vector(2,0,0)
Draft.makeDimension(p1,p2,p3) 

Liens

Tutoriel d'une projection de dimensions dans une page de dessin

Draft Point.png Draft Point

Emplacement du menu
Draft → Point
Ateliers
Draft, Arch
Raccourci par défaut
P T
Voir aussi
Aucun


Description

L'outil Point crée un simple point dans le document courant plan de travail, pratique pour servir de point de repère, pour placer un autre objet plus tard. Il prend les attributs de couleur précédemment définis sous l'onglet tâches, ou sur la barre d'outils.

Draft point example.jpg

Utilisation

  1. Pressez le bouton Draft Point.png Point, ou pressez les touches P et T.
  2. Cliquez un point dans la vue 3D, ou tapez ces coordonnées.

Options

  • Entrez les coordonnées manuellement, simplement en entrant les nombres, puis tapez sur la touche ENTER à chaque entrée X, Y et Z.
  • Pressez la touche ESC ou le bouton Annuler pour quitter la commande.

Propriétés

  • DATAX : La coordonnée X du point.
  • DATAY : La coordonnée Y du point.
  • DATAZ : La coordonnée Z du point.

Script

L'outil point, peut être utilisé dans des macros, et, dans la console Python, en utilisant le code suivant :

makePoint([x],[y],[z]) 
  • Crée un point, aux coordonnées définies. Si aucune coordonnées X, Y et z ne sont définies, le point est créé au point (0,0,0). Retourne le nouvel objet créé.

Exemple:

import Draft
Draft.makePoint(6,4,2) 

Credits

<translate> FreeCAD would not be what it is without the generous contributions of many people. Here's an overview of the people and companies who contributed to FreeCAD over time. For credits for the third party libraries see the Third Party Libraries page.

Developement

Project managers

Lead developers of the FreeCAD project: </translate>

<translate>

Main developers

People who work regularly on the FreeCAD code (retrieved from https://github.com/FreeCAD/FreeCAD/graphs/contributors): </translate>

<translate>

Other coders

Other people who contributed code to the FreeCAD project: </translate>

  • jmaustpc
  • j-dowsett
  • keithsloan52
  • Joachim Zettler
  • Graeme van der Vlugt
  • Berthold Grupp
  • Georg Wiora
  • Martin Burbaum
  • Jacques-Antoine Gaudin
  • Ken Cline
  • Dmitry Chigrin
  • Remigiusz Fiedler (DXF-parser)
  • peterl94
  • jobermayr
  • ovginkel
  • triplus
  • tomate44
  • maurerpe
  • Johan3DV
  • Mandeep Singh
  • fandaL
  • jonnor
  • usakhelo
  • plaes
  • SebKuzminsky
  • jcc242
  • ezzieyguywuf
  • marktaff
  • poutine70
  • qingfengxia
  • dbtayl
  • itain
  • Barleyman

<translate>

Companies

Companies which donated code or developer time: </translate>

  • Imetric 3D

<translate>

Forum moderators

People in charge of the FreeCAD forum (retrieved from http://forum.freecadweb.org/memberlist.php?mode=team): </translate>

<translate>

Community

People from the community who put a lot of efforts in helping the FreeCAD project either by being active on the forum, keeping a blog about FreeCAD, making video tutorials, packaging FreeCAD for Windows/Linux/MacOS X, writing a FreeCAD book... (listed by alphabetical order) (retrieved from http://forum.freecadweb.org/memberlist.php?mode=&sk=d&sd=d#memberlist) </translate>

<translate>

Documentation writers

People who wrote the documentation on this wiki: </translate>

  • Renato Rivoira (renatorivo)
  • Honza32
  • Hervé Blorec
  • Eduardo Magdalena
  • piffpoof
  • Wurstwasser
  • Roland Frank (r-frank)
  • bejant
  • Ediloren
  • Isaac Ayala

<translate>

Translators

People who helped to translate the FreeCAD application (retrieved from https://crowdin.com/project/freecad): </translate>

  • Gerhard Scheepers
  • wbrwbr2011
  • hanhsuan
  • hicarl
  • fandaL
  • Peta T
  • Zdeněk Havlík
  • Jodbe
  • Peter Hageman
  • Vilfredo
  • Bruno Gonçalves Pirajá
  • Timo Seppola
  • rako
  • Pasi Kukkola
  • Ettore Atalan
  • nikoss
  • yang12
  • totyg
  • htsubota
  • asakura
  • Masaya Ootsuki
  • Jiyong Choi
  • Bartlomiej Niemiec
  • trzyha
  • bluecd
  • Miguel Morais
  • Nicu Tofan
  • Victor Radulescu
  • Angelescu Constantin
  • sema
  • Николай Матвеев
  • pinkpony
  • Alexandre Prokoudine
  • Марко Пејовић
  • Marosh
  • Peter Klofutar
  • Raulshc
  • javierMG
  • Lars
  • kunguz
  • Igor
  • Федір

<translate>

Addons developers

Developers of FreeCAD addons (retrieved from https://github.com/FreeCAD/FreeCAD-addons): </translate>

  • microelly2
  • hamish2014
  • jreinhardt
  • jmwright
  • cblt2l
  • javierMG
  • looooo
  • shaise
  • marmni
  • Maaphoo
  • Rentlau

<translate> </translate>